Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1125236 - Used size for iscsi data domains decreases by 1 GB after extending it for a second time
Summary: Used size for iscsi data domains decreases by 1 GB after extending it for a s...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.1-1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Tal Nisan
QA Contact: Aharon Canan
URL:
Whiteboard: storage
Depends On:
Blocks: 1129247 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-07-31 11:45 UTC by Carlos Mestre González
Modified: 2016-02-10 16:42 UTC (History)
12 users (show)

Fixed In Version: av10.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1129247 (view as bug list)
Environment:
Last Closed: 2015-02-16 19:08:54 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)

Description Carlos Mestre González 2014-07-31 11:45:18 UTC
Description of problem:
After extending for a second time a master storage domain the used size decreases by exactly 1 GB

Version-Release number of selected component (if applicable):
rhevm-3.4.1-0.28

How reproducible:
100%

Steps to Reproduce:
1. Have 1 DC Shared with 1 iscsi storage domain
2. Add disks/vms (doesn't matter if preallocated or thin or number) 
3. Extend master (used and total size are updated properly)
4. Extend master again with other LUN

Actual results:
Used size is shrink by 1 GB

Expected results:
Used size is the same

Additional info:
* Importad: extend the storage domain a third time update the used value to the proper one
* This doesn't happen in 3.5

This is one run with values (Total here is available + used):

1st extend: domain iscsi_0. Allocated: 10737418240 Total: 213674622976 Used: 8589934592
2nd extend: domain iscsi_0. Allocated: 10737418240 Total: 266287972352 Used: 7516192768
               Used size for iscsi_0 is 7516192768, before extend was 8589934592
3rd extend: domain iscsi_0. Allocated: 10737418240 Total: 319975063552 Used: 8589934592
               Used size for iscsi_0 is 8589934592, before extend was 7516192768

Comment 8 Allon Mureinik 2015-02-16 19:08:54 UTC
RHEV-M 3.5.0 has been released, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.